# Retrieve a contact

## Get contact

<mark style="color:blue;">`GET`</mark> `https://ris.rightsline.com/v4/contact/:id`

This endpoint allows you to retrieve a specific contact by ID.

#### Path Parameters

| Name | Type   | Description                    |
| ---- | ------ | ------------------------------ |
| id   | string | ID of the contact to retrieve. |

#### Headers

| Name           | Type   | Description             |
| -------------- | ------ | ----------------------- |
| x-api-key      | string | Your company's API key. |
| Authentication | string | Authentication token.   |

{% tabs %}
{% tab title="200 Contact exists.  Return contact entity." %}

```javascript
{
  "parentRelationship": null,
  "relationshipUpdateRules": null,
  "id": 100,
  "revisionId": 0,
  "title": " ",
  "template": {
    "fields": [],
    "templateId": 1,
    "templateName": "Producer",
    "processId": 0,
    "processName": null
  },
  "status": {
    "statusId": 1,
    "statusName": "Active"
  },
  "characteristics": {},
  "comments": [],
  "createdById": 100,
  "createdDate": "2017-11-28T21:56:52.743Z",
  "lastUpdatedById": 100,
  "lastUpdatedDate": "2019-10-18T04:28:35.790Z"
}
```

{% endtab %}

{% tab title="404 Contact does not exist." %}

```javascript
{
  "message": "Resource Not Found"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/entities/contact/contact-retrieve.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
